/***************************************************************************
 *   Copyright (C) 2004 by Matthias Reif                                   *
 *   matthias.reif@informatik.tu-chemnitz.de                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KKEYDIALOG_H
#define KKEYDIALOG_H

#include <kdialogbase.h>
#include <qhbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qlabel.h>
#include <klineedit.h>

#include "wcardlib.h"

/**
	@author Matthias Reif <matthias.reif@informatik.tu-chemnitz.de>
*/
class KKeyDialog : public KDialogBase
{
Q_OBJECT
public:
	KKeyDialog( QString preset, QWidget *parent, QString caption = 0 );
	~KKeyDialog();
	KeyType getKeyType();
	QString getKey();
protected:
	QRadioButton* asciiButton;
	QRadioButton* hexButton;
	QRadioButton* loginButton;
	KLineEdit* keyEdit;
};

#endif
